#
# Conditional build:
%bcond_with	doc		# don't build doc
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	scales
Summary:	Stats for Python processes
Summary(pl.UTF-8):	Statyski dla procesów Pythona
Name:		python-%{module}
Version:	1.0.9
Release:	9
License:	Apache
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	c61167f2b5f506f0a34a7b8a295a9567
Patch0:		python-3.8.patch
URL:		https://www.github.com/Cue/scales
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-nose
BuildRequires:	python-setuptools > 7.0
BuildRequires:	python-six
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-nose
BuildRequires:	python3-setuptools > 7.0
BuildRequires:	python3-six
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tracks server state and statistics, allowing you to see what your
server is doing. It can also send metrics to Graphite for graphing or
to a file for crash forensics.

%description -l pl.UTF-8
Śledzi stan serwerqa i jego statystyki pozwalając zobaczyć co serwer
robi. Pozwala wysłać dane do Graphite albo do pliku do analizy.

%package -n python3-%{module}
Summary:	-
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Tracks server state and statistics, allowing you to see what your
server is doing. It can also send metrics to Graphite for graphing or
to a file for crash forensics.

%description -n python3-%{module} -l pl.UTF-8
Śledzi stan serwerqa i jego statystyki pozwalając zobaczyć co serwer
robi. Pozwala wysłać dane do Graphite albo do pliku do analizy.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/greplin
%dir %{py_sitescriptdir}/greplin/scales
%{py_sitescriptdir}/greplin/scales/*.py[co]
%{py_sitescriptdir}/scales-%{version}-py*.egg-info
%{py_sitescriptdir}/scales-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/greplin
%{py3_sitescriptdir}/greplin/scales
%{py3_sitescriptdir}/scales-%{version}-py*.egg-info
%{py3_sitescriptdir}/scales-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-scales.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 1d4fd39
- release 9 (by relup.sh)

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> 9fbd9fc
- python 3.8 compatibility fix
- rel 8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 61db0b7
- rebuild with python 3.8
- release 7 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 861f2cc
- release 6 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ba5da8
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> aecb2dd
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b02f25d
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8191849
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d8e8a8
- python3.5 rebuild
- release 3 (by relup.sh)

* Wed Apr 08 2015 Elan Ruusamäe <glen@delfi.ee> 9e12e7d
- cleaup, BR six, package .pth

* Wed Apr 08 2015 Mateusz Korniak <matkor@pld-linux.org> b641ab8
- Release 2. BR: python-nose.

* Wed Apr 08 2015 Mateusz Korniak <matkor@pld-linux.org> 0a1f54c
- Initial version 1.0.9-1.

